<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="app" tagdir="/WEB-INF/tags" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../include/assets.jsp"></jsp:include>
	<style>
		.countContext:hover{ text-decoration:underline;}
	</style>
</head>

<body>
    <div id="wrapper">
        <jsp:include page="../include/menu.jsp"></jsp:include>
        <div id="page-wrapper" class="gray-bg">
	        <jsp:include page="../include/nav.jsp"></jsp:include>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>活动申报统计</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a href="javascript:void(0);" style="cursor:default">首页</a>
                        </li>
                        <li>
                            <a href="javascript:void(0);" style="cursor:default">统计中心</a>
                        </li>
                        <li class="active">
                            <strong>活动申报统计</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">
                </div>
            </div>
            <!-- 主内容 -->
            <div class="wrapper wrapper-content animated fadeInRight">
            	<div class="row">
	            	<div class="col-lg-12">
	            		<div class="ibox float-e-margins">
	                        <div class="ibox-title">
	                            <h5>统计维度</h5>
	                            <div class="ibox-tools">
	                                <a class="collapse-link">
	                                    <i class="fa fa-chevron-up"></i>
	                                </a>
	                            </div>
	                        </div>
	                        <div class="ibox-content" style="padding-bottom:5px;">
	                            <form role="form" class="form-inline m-b">
	                            	<input type="hidden" id="regionLevel" name="regionLevel" value="${LOGIN_USER.regionLevel }">
				                	<input type="hidden" id="province" name="province" value="${LOGIN_USER.province }">
				                	<input type="hidden" id="city" name="city" value="${LOGIN_USER.city }">
				                	<input type="hidden" id="area" name="area" value="${LOGIN_USER.area }">
									<app:region></app:region>
									<div class="form-group">
										<label for="startDate">活动开始日期：</label>
										<div class="input-daterange input-group" id="datepicker">
											<input type="text" class="form-control" id="startDate" name="startDate" maxlength="10" placeholder="开始时间"/>
											<span class="input-group-addon"> ~ </span>
											<input type="text" class="form-control" id="endDate" name="endDate" maxlength="10" placeholder="结束时间"/>
											<a class="input-group-addon" onclick="oTable.fnDraw();"><i class="fa fa-search"></i></a>
										</div>
										<button type="button"  id="startDateBtn" lay-submit lay-filter="layedit-link-yes" class="btn-white btn-sm">清除</button>
									</div>
	                                <div class="clearfix"></div>
	                            </form>
	                        </div>
	                    </div>
	            	</div>
	            </div>
	            
		        <div class="row">
		            <div class="col-lg-12">
		                <div class="ibox float-e-margins">
		                    <div class="ibox-title">
		                        <h5>汇总统计</h5>
		                        <div class="ibox-tools">
		                            <a class="collapse-link">
		                                <i class="fa fa-chevron-up"></i>
		                            </a>
		                        </div>
		                    </div>
	                   		<div class="ibox-content">
	                    		<table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example" >
				                    <thead>
					                    <tr>
					                        <th>地市</th>
					                        <th>演艺类</th>
					                        <th>展会类</th>
					                        <th>体育赛事类</th>
					                        <th>游园灯会活动</th>
					                        <th>招聘会活动</th>
					                        <th>公益慈善活动</th>
											<th>其他类</th>
											<th>公安备案活动</th>
					                        <th>总计</th>
					                    </tr>
				                    </thead>
			                   		<tbody>
			                    	</tbody>
			                    </table>
	                    	</div>
	                    </div>
		            </div>
		        </div>
            </div>
			<jsp:include page="../include/footer.jsp"></jsp:include>
        </div>
    </div>

    <jsp:include page="../include/scripts.jsp"></jsp:include>
	<script type="text/javascript">
		$(document).ready(function(){
			oTable = $('#dynamic-table')
			.dataTable({
				"bAutoWidth": false,
				"bFilter": false,
	            "bDestroy":true,                 
	            "bServerSide":true,
	            "bPaginate":false,
	            "bLengthChange":false,
	            "sAjaxSource": "<c:url value='/business/summary/findData.json'/>",
	            "sAjaxDataProp": "data",
	            "aLengthMenu": [20],
	            "aoColumns": [
					{ "mDataProp": "area","sClass":"text-center","bSortable": false},
					{ "mDataProp": "literature","sClass":"text-center","bSortable": false},
					{ "mDataProp": "exhibition","sClass":"text-center","bSortable": false},
					{ "mDataProp": "sport","sClass":"text-center","bSortable": false},
					{ "mDataProp": "gardenlantern","sClass":"text-center","bSortable": false},
					{ "mDataProp": "recruit","sClass":"text-center","bSortable": false},
					{ "mDataProp": "charity","sClass":"text-center","bSortable": false},
                    { "mDataProp": "other","sClass":"text-center","bSortable": false},
                    { "mDataProp": "gonganBeian","sClass":"text-center","bSortable": false},
					{ "mDataProp": "all","sClass":"text-center","bSortable": false}
	            ],
	            "fnServerParams" : function (aoData) {
	            	rowNum = 0;
                    var sProvince,sCity, sArea;
                    if ($("#sProvince").val() != undefined && $("#sProvince").val() != "") {
						sProvince = $("#sProvince").val();
                    }
                    if ($("#sCity").val() != undefined && $("#sCity").val() != "") {
                        sCity = $("#sCity").val();
                    }
                    if ($("#sArea").val() != undefined && $("#sArea").val() != "") {
                        sArea = $("#sArea").val();
                    }
	            	aoData.push(
	            		{ "name": "regionLevel", "value": $("#regionLevel").val()},
	            		{ "name": "province", "value": $("#province").val() },
	            		{ "name": "city", "value": $("#city").val() },
	            		{ "name": "area", "value": $("#area").val() },
                        {"name": "sProvince", "value": sProvince},
                        {"name": "sCity", "value": sCity},
                        {"name": "sArea", "value": sArea},
	            		{ "name": "gov", "value": $("#gov").val()},
	            		{ "name": "startDate", "value": $("#startDate").val()},
	            		{ "name": "endDate", "value": $("#endDate").val()}
	            	);
	            },
	            "fnDrawCallback": function(data) {
	            },
	            "aoColumnDefs": [
					{"aTargets":[0],
						"mRender":function(tar,type,data){
							var area = data.cityname;
							if(data.areaname != null && data.areaname.length > 0) {
								return data.provincename + data.cityname + '-' + data.areaname;
							}
							return area;
						}
					},
                    {"aTargets":[1],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100002)'  >"+data.literature+"</a>";
                            return html;
                        }
                    },
                    {"aTargets":[2],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100003)'  >"+data.exhibition+"</a>";
                            return html;
                        }
                    },
                    {"aTargets":[3],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100001)'  >"+data.sport+"</a>";
                            return html;
                        }
                    },
                    {"aTargets":[4],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100004)'  >"+data.gardenlantern+"</a>";
                            return html;
                        }
                    },
                    {"aTargets":[5],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100005)'  >"+data.recruit+"</a>";
                            return html;
                        }
                    },
					{"aTargets":[6],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100006)'  >"+data.charity+"</a>";
                            return html;
                        }
                    },
					{"aTargets":[7],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openApproveWin(" + data.city +"," + data.area + ",100007)'  >"+data.other+"</a>";
                            return html;
                        }
                    },
                    {"aTargets":[8],
                        "mRender":function(tar,type,data){
                            var html = "<a class='countContext' onclick='openGongAnWin(" + data.city +"," + data.area + ")'  >"+data.gonganBeian+"</a>";
                            return html;
                        }
                    }
	            ],
	            "oLanguage": {
	                "sProcessing":   "处理中...",
	                "sLengthMenu":   "显示_MENU_ 项结果",
	                "sZeroRecords":  "没有匹配结果",
	                "sInfo":         " _START_ - _END_条记录，共_TOTAL_条",
	                "sInfoEmpty":    "没有匹配结果",
	                "sInfoFiltered": "(由_MAX_项结果过滤)"
	           	}
		    });
			
			$('#startDate').datetimepicker({
                keyboardNavigation: false,
                forceParse: false,
                autoclose: true,
                format: 'yyyy-mm-dd'
            });

            $('#endDate').datetimepicker({
                keyboardNavigation: false,
                forceParse: false,
                autoclose: true,
                format: 'yyyy-mm-dd'
            });
            //初始化行政区划
            initQueryRegion();
            //清空活动开始日期
            $('#startDateBtn').click(function () {
                $('#startDate').val("");
                $('#endDate').val("");
                oTable.fnDraw();
            });
		});

		/**
		 * 弹出活动许可列表
         * @param areaCode 地区编码
         * @param typeCode 活动类型编码
         */
		function openApproveWin(city,area,typeCode){
            layer.open({
                type: 2,
                title: '活动列表',
                shadeClose: false,
                scrollbar: false,
                shade: [0.8, '#393D49'],
                area: ['90%', '80%'],
                content: '${pageContext.request.contextPath }' + '/business/approve/list?hiddenLeft=1&city='
				+city + "&area=" + area + '&typeCode='+ typeCode + '&dataSource=summary' + '&startDate=' + $('#startDate').val() + '&endDate=' + $('#endDate').val()
            });
		}

        function openGongAnWin(city,area){
            layer.open({
                type: 2,
                title: '活动列表',
                shadeClose: false,
                scrollbar: false,
                shade: [0.8, '#393D49'],
                area: ['90%', '80%'],
                content: '${pageContext.request.contextPath }' + '/business/activity/history/list?hiddenLeft=1&city='
                +city + "&area=" + area + '&dataSource=summary' + '&startDate=' + $('#startDate').val() + '&endDate=' + $('#endDate').val()
            });
        }

	</script>
</body>

</html>
